Import('env', 'plugins')

filmEnv = env.Clone()
if 'OEXRLIBDIR' in filmEnv:
        filmEnv.Prepend(LIBPATH=env['OEXRLIBDIR'])
if 'OEXRINCLUDE' in filmEnv:
        filmEnv.Prepend(CPPPATH=env['OEXRINCLUDE'])
if 'OEXRFLAGS' in filmEnv:
        filmEnv.Prepend(CPPFLAGS=env['OEXRFLAGS'])
if 'OEXRLIB' in filmEnv:
        filmEnv.Prepend(LIBS=env['OEXRLIB'])

plugins += filmEnv.SharedLibrary('mfilm', ['mfilm.cpp', 'cnpy.cpp'])
plugins += filmEnv.SharedLibrary('ldrfilm', ['ldrfilm.cpp'])
plugins += filmEnv.SharedLibrary('hdrfilm', ['hdrfilm.cpp'])

Export('plugins')
